// ccc jul05 corpse
// This pseudo dialog only opens the itemexchange interface for looting corpses
// one could also add dialogchoices for reawakening or burial


void ProcessDialogEvent()
{
	ref NPChar;
	aref Link, Diag;

	DeleteAttribute(&Dialog,"Links");

	makeref(NPChar,CharacterRef);
	makearef(Link, Dialog.Links);
	makearef(Diag, NPChar.Dialog);

	ref PChar;
	PChar = GetMainCharacter();
	int loc_id = FindLocation(PChar.location);
	int price = makeint(sqrt(sti(pchar.rank)))*250;

	switch(Dialog.CurrentNode)
	{
		case "exit":
			Diag.CurrentNode = Diag.TempNode;
			DialogExit();
		break;

		case "first time":
			Dialog.defAni = "dialog_stay1";
			Dialog.defCam = "1";
			Dialog.defSnd = "dialogs\0\017";
			Dialog.defLinkAni = "dialog_1";
			Dialog.defLinkCam = "1";
			Dialog.defLinkSnd = "dialogs\woman\024";
			Dialog.ani = "dialog_stay2";
			Dialog.cam = "1";
			Dialog.snd = "voice\PADI\PADI001";
			// ccc Dec 05 You are recognized after raising pirateflag
			if(CheckAttribute(Pchar,"traitor") && sti(pchar.traitor) == makeint(GetLocationNationFromID(NPchar.location)))	// checks if you once hoisted a hostile flag in sight of their ships
			{
				//DeleteAttribute(Pchar,"traitor");	// so that recognizing happens only once
				Dialog.Text = DLG_TEXT[0] + GetMySimpleName(PChar) + DLG_TEXT[1];
				Link.l1 = DLG_TEXT[2];
				Link.l1.go = "exit";
			}
			else
			{
				if (ENABLE_FLAGS == 1)
				{
					/*if(GetFlagRMRelation(sti(Npchar.nation)) <= REL_WAR && rand(10)>)
					{
						Dialog.Text = DLG_TEXT[7] + GetMySimpleName(PChar) + DLG_TEXT[8];
						Link.l1 = DLG_TEXT[9];
						Link.l1.go = "exit";
						LAi_group_SetRelation("random_guards_group", LAI_GROUP_PLAYER, LAI_GROUP_ENEMY);
					}
					else
					{*/
						Dialog.Text = DLG_TEXT[18];
						Link.l1 = DLG_TEXT[19];
						Link.l1.go = "exit";
					//}					
				}
				else
				{
					if (GetNationRelation2MainCharacter(sti(Npchar.nation)) == RELATION_ENEMY)
					{
						/*if(makeint(Pchar.nation)==3 && rand(10)>9)
						{
							Dialog.Text = DLG_TEXT[7] + GetMySimpleName(PChar) + DLG_TEXT[8];
							Link.l1 = DLG_TEXT[9];
							Link.l1.go = "exit";
							LAi_group_SetRelation("random_guards_group", LAI_GROUP_PLAYER, LAI_GROUP_ENEMY);
						}
						else
						{*/
							Dialog.Text = DLG_TEXT[18];
							Link.l1 = DLG_TEXT[19];
							Link.l1.go = "exit";
						//}
					}
					if (GetNationRelation2MainCharacter(sti(Npchar.nation)) == RELATION_NEUTRAL)
					{
						/*if(rand(10)>9)
						{
							Dialog.Text = DLG_TEXT[7] + GetMySimpleName(PChar) + DLG_TEXT[8];
							Link.l1 = DLG_TEXT[9];
							Link.l1.go = "exit";
							LAi_group_SetRelation("random_guards_group", LAI_GROUP_PLAYER, LAI_GROUP_ENEMY);
						}
						else
						{
							if(makeint(Pchar.nation)==3)
							{
								Dialog.Text = DLG_TEXT[16];
								Link.l1 = DLG_TEXT[17];
								Link.l1.go = "exit";
							}
							else
							{*/
								Dialog.Text = DLG_TEXT[18];
								Link.l1 = DLG_TEXT[19];
								Link.l1.go = "exit";
							//}
						//}
					}
					if (GetNationRelation2MainCharacter(sti(Npchar.nation)) == RELATION_FRIEND)
					{
						if(makeint(Pchar.nation)==3 && rand(makeint(pchar.skill.leadership))>5)
						{
							Dialog.Text = DLG_TEXT[18];
							Link.l1 = DLG_TEXT[19];
							Link.l1.go = "exit";
						}
						else
						{
							Dialog.Text = DLG_TEXT[18];
							Link.l1 = DLG_TEXT[19];
							Link.l1.go = "exit";
						}
					}
				}
			}
			//Levis smuggling addon -->
			if(CheckAttribute(Pchar,"quest.Contraband.active"))
			{
				if(Pchar.quest.Contraband.active == TRUE)
				{
					Link.l2 = DLG_TEXT[3];
					Link.l2.go = "patrolquestion";
				}
			}
			//Levis smuggling addon <--
			Diag.TempNode = "first time";
		break;
		
		//Levis smuggling dialog options
		case "patrolquestion":
			Dialog.Text = DLG_TEXT[4];
			Link.l1 = DLG_TEXT[5];
			Link.l1.go = "seasidepicknick";
		break;
		
		case "seasidepicknick":
			if(CheckOfficiantHadSex(GetCurrentTownID())==TRUE)
			{
				Dialog.Text = DLG_TEXT[6]+GetPatrolTimeText(Islands[GetCharacterCurrentIsland(Pchar)], GetBestSmugglingtime(Islands[GetCharacterCurrentIsland(Pchar)]))+DLG_TEXT[12];
				Link.l1 = DLG_TEXT[13];
				Link.l1.go = "exit";
				Preprocessor_AddQuestData("time",GetPatrolTimeText(Islands[GetCharacterCurrentIsland(Pchar)], GetBestSmugglingtime(Islands[GetCharacterCurrentIsland(Pchar)])));
				AddQuestRecord("smuggle", 3);
				Preprocessor_Remove("time");
			}
			else
			{
				if(pchar.money > price)
				{
					Dialog.Text = DLG_TEXT[14];
					Link.l1 = DLG_TEXT[15];
					Link.l1.go = "buyinfo";
				}
				else
				{
					Dialog.Text = DLG_TEXT[18];
					Link.l1 = DLG_TEXT[19];
					Link.l1.go = "exit";
				}
			}
		break;
		
		case "buyinfo":
			Dialog.Text = DLG_TEXT[20]+price+DLG_TEXT[21];
			Link.l1 = DLG_TEXT[22];
			Link.l1.go = "acceptprice";
			Link.l2 = DLG_TEXT[23];
			Link.l2.go = "declineprice";
		break;
		
		case "acceptprice":
			AddMoneyToCharacter(pchar, -price);
			Dialog.Text = DLG_TEXT[25]+GetPatrolTimeText(Islands[GetCharacterCurrentIsland(Pchar)], GetBestSmugglingtime(Islands[GetCharacterCurrentIsland(Pchar)]))+DLG_TEXT[26];
			Link.l1 = DLG_TEXT[27];
			Link.l1.go = "exit";
			Preprocessor_AddQuestData("time",GetPatrolTimeText(Islands[GetCharacterCurrentIsland(Pchar)], GetBestSmugglingtime(Islands[GetCharacterCurrentIsland(Pchar)])));
			AddQuestRecord("smuggle", 2);
			Preprocessor_Remove("time");
		break;
		
		case "declineprice":
			AddMoneyToCharacter(pchar, -10);
			Dialog.Text = DLG_TEXT[24];
			Link.l1 = DLG_TEXT[19];
			Link.l1.go = "exit";
		break;
		//End smuggling dialog options

	}
}
